security_status allows it.
Permission required:
skill:readPath Parameters
string
required
Skill ID
integer
required
Version number
Response
object
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24/versions/2' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"version": 2,
"changelog": "Fetch filings over HTTPS only",
"security_status": "blocked",
"created_at": "2026-09-12T08:15:52Z"
}
}
Retrieve one version of a skill and its security review state
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24/versions/2' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"version": 2,
"changelog": "Fetch filings over HTTPS only",
"security_status": "blocked",
"created_at": "2026-09-12T08:15:52Z"
}
}
GET /openapi/memorylake/api/v3/skills/{id}/versions/{version}
security_status allows it.
skill:readcurl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v3/skills/skill-2b0f5f9f4ea54767822f51f4940c8f24/versions/2' \
-H 'Authorization: Bearer sk_xxxxxx'
{
"success": true,
"data": {
"skill_id": "skill-2b0f5f9f4ea54767822f51f4940c8f24",
"version": 2,
"changelog": "Fetch filings over HTTPS only",
"security_status": "blocked",
"created_at": "2026-09-12T08:15:52Z"
}
}